import 'package:flutter/material.dart';

import 'prototype_controller.dart';
import 'prototype_page_list.dart';

class PrototypePageListScaffold extends StatelessWidget {
  const PrototypePageListScaffold({
    Key? key,
    required this.controller,
    // required this.onPageSelected,
  }) : super(key: key);

  final PrototypeController controller;

  // final ValueSetter<int> onPageSelected;

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text(controller.descriptor.title),
        leading: IconButton(
          onPressed: () {
            controller.hidePageMenu();
          },
          icon: Icon(Icons.close),
        ),
        // actions: [
        // IconButton(
        //   icon: const Icon(Icons.settings),
        //   onPressed: () {
        //     // Navigate to the settings page. If the user leaves and returns
        //     // to the app after it has been killed while running in the
        //     // background, the navigation stack is restored.
        //     Navigator.restorablePushNamed(context, SettingsView.routeName);
        //   },
        // ),
        // ],
      ),
      body: PrototypePageList(controller: controller),
    );
  }
}
